﻿@model IEnumerable<BUOI3.Models.Product>
<h2>Products</h2>

<table class="table">
    <thead>
        <tr>
            <th>Tên</th>
            <th>Giá</th>
            <th>Mô tả</th>
            <th>Ảnh sản phẩm</th>
            <th>Loại</th>
            <th>Chức năng</th>
        </tr>
    </thead>
    <tbody>
        @foreach (var product in Model)
        {
            <tr>
                <td>@product.Name</td>
                <td>@product.Price</td>
                <td>@product.Description</td>
                <td>
                    <img src="@product.ImageUrl" alt="Product Image" style="max-width: 100px;max-height:120px" />
                </td>
                <td>@product.Category?.Name</td>
                <td>
                    <a asp-action="Display" asp-route-id="@product.Id">Xem</a>
                    <a asp-action="Update" asp-route-id="@product.Id">Chỉnh sửa</a>
                    <a asp-action="Delete" asp-route-id="@product.Id">Xóa</a>
                </td>
            </tr>
        }
    </tbody>
</table>